The name 'Registery' does not exist in current context

kartikarora1606
Contributor

The name 'Registery' does not exist in current context

Hello All, 

I am new to AR developement and started with SRWorks for Vive Pro. After I import the package into a new project, the below error is getting thrown 12 times. Please helpCapture.PNG

 

Assets\ViveSR\Scripts\ViveSR_DualCameraCalibrationTool.cs(130,69): error CS0103: The name 'Registry' does not exist in the current context

@DanY 

 

kartikarora1606
Contributor

Re: The name 'Registery' does not exist in current context

Can anyone please mention the exact Unity version and Steam VR plugin used to run SRWorks Sample Scene? 

 

I have installed Unity Version 5.6.x and Unity keeps crashing when I play the scene, but the original 'Registry' issue is resolved in this version

kartikarora1606
Contributor

Re: The name 'Registery' does not exist in current context

Tried many versions of unity but the sample scene keeps crashing as soon as I hit play. I am only able to see a white rectangale, everything else is black in the game view. But as soon as I hit play, unity crashes

LordVetinari
Contributor

Re: The name 'Registery' does not exist in current context

I had the same Problem. In my case i wasnt allowed to parse the Registry for whatever reasons (yeah thanks admin). Workaround: Enter the Script. Replace relativeAngle and absoluteAngle with something like:

 

Vector3 relativeAngle = new Vector3(0f, 0f, 0f);
Vector3 absoluteAngle = new Vector3(0f, 0f, 0f);

 

Or get the exact Values out of the Registry, somehow.

Comment out Registry related lines.

@DanY  @Dario @Jad 

Vive Staff

Re: The name 'Registery' does not exist in current context

  1. "Registry" is a known issue. It will be fixed in the next release expected by the end of this June.
  2. Regarding non-function, have you checked if your system is able to support Vive Pro’s SRWorks SDK functionalities followed by these steps, https://developer.vive.com/resources/knowledgebase/vive-pro-srworks-sdk-qa/?
  3. Regarding supported version, it needs Unity (5.5.3 or later) and this version doesn’t support SteamVR unity plugins 2.0.1, please download SteamVR unity plugins 1.2.3 package if you needs, https://github.com/ValveSoftware/steamvr_unity_plugin/releases/tag/1.2.3